Loading...
Searching...
No Matches
Halide::Internal::ReportBase< T > Struct Template Reference

`#include <Error.h>`

## Public Member Functions

template<typename S>
HALIDE_ALWAYS_INLINE T & | operator<< (const S &x)
HALIDE_ALWAYS_INLINE | operator bool () const

## Protected Member Functions

std::string | finalize_message ()
T & | init (const char *file, const char *function, const int line, const char *condition_string, const char *prefix)

## Protected Attributes

std::ostringstream | msg {}
bool | finalized {false}

## Detailed Description

template<typename T>
struct Halide::Internal::ReportBase< T >

Definition at line 125 of file Error.h.

## Member Function Documentation

## operator<<()

template<typename T>
template<typename S>

HALIDE_ALWAYS_INLINE T & Halide::Internal::ReportBase< T >::operator<< | ( | const S & | x | ) |

inline

Definition at line 127 of file Error.h.

References HALIDE_ALWAYS_INLINE, and msg.

## operator bool()

template<typename T>

HALIDE_ALWAYS_INLINE Halide::Internal::ReportBase< T >::operator bool | ( |  | ) | const

inline

Definition at line 132 of file Error.h.

References finalized, and HALIDE_ALWAYS_INLINE.

## finalize_message()

template<typename T>

std::string Halide::Internal::ReportBase< T >::finalize_message | ( |  | ) |

inline protected

Definition at line 144 of file Error.h.

References finalized, and msg.

## init()

template<typename T>

T & Halide::Internal::ReportBase< T >::init | ( | const char * | file,
|  | const char * | function,
|  | const int | line,
|  | const char * | condition_string,
|  | const char * | prefix )

inline protected

Definition at line 152 of file Error.h.

References Halide::Internal::debug_is_active_impl(), and msg.

Referenced by Halide::Internal::ErrorReport< Exception >::init(), and Halide::Internal::WarningReport::init().

## Member Data Documentation

## msg

template<typename T>

std::ostringstream Halide::Internal::ReportBase< T >::msg {}

protected

Definition at line 137 of file Error.h.

Referenced by finalize_message(), init(), and operator<<().

## finalized

template<typename T>

bool Halide::Internal::ReportBase< T >::finalized {false}

protected

Definition at line 138 of file Error.h.

Referenced by finalize_message(), and operator bool().

The documentation for this struct was generated from the following file:

- src/Error.h